<?php
/**
*
* @package phpBB Extension - Digests
* @copyright (c) 2018 Mark D. Hamill (mark@phpbbservices.com)
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*/

if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

$lang = array_merge($lang, array(
	'PLURAL_RULE'						=> 1,

	'DIGESTS_ALL_FORUMS'				=> 'Todos',
	'DIGESTS_AM'						=> ' AM', // no se usa si el formato de fecha/hora no permite AM y PM
	'DIGESTS_AUTHOR'					=> 'Autor',
	'DIGESTS_BAD_SEND_HOUR'				=> 'Usuario %1$s envio de hora del resumen es inválido. It is %2$d. El número debe ser >= 0 y < 24.',
	'DIGESTS_BLOCK_IMAGES'				=> 'Bloquear imágenes',
	'DIGESTS_BLOCK_IMAGES_EXPLAIN'		=> 'Impide que salgan las imágenes en tus resumenes, incluidos los emoticonos e imágenes adjuntas a entradas o mensajes privados. Es útil para conexiones lentas, para reducir el intercambio de datos o para foros con muchas imágenes. Resúmenes de texto nunca muestran imágenes.',
	'DIGESTS_BOARD_LIMIT'				=> '%d (Límite del foro)',
	'DIGESTS_BY'						=> 'Por',
	'DIGESTS_CLOSED_QUOTE'				=> '&rdquo;',
	'DIGESTS_CLOSED_QUOTE_TEXT'			=> '"',
	'DIGESTS_COUNT_LIMIT'				=> 'Número máximo de publicaciones en el resúmen',
	'DIGESTS_COUNT_LIMIT_EXPLAIN'		=> 'Pon un número supero a cero si quieres limitar el número de entradas en el resúmen.',
	'DIGESTS_DAILY'						=> 'Diario',
	'DIGESTS_DATE'						=> 'Fecha',
	'DIGESTS_DELIMITER'					=> ' :: ', // Se utiliza para ayudar a ver la jerarquía de nombres del foro del índice hacia abajo
	'DIGESTS_DISABLED_MESSAGE'			=> 'Para habilitar campos, selecciona Básicos y selecciona un tipo de resúmen',
	'DIGESTS_DISCLAIMER'				=> 'Puedes cambiar o borrar tu suscripción del foro&rsquo;s <a href="%1$sucp.%3$s">Panel de Control del Usuario</a>. Si tienes preguntas o feedback sobre tus resúmenes por favor envialo a <a href="mailto:%4$s?subject=Digests">%2$s webmaster</a>.',
	'DIGESTS_EXPLANATION'				=> 'Esto son resúmenes de las entradas que se te envian periódicamente. Los resúmenes se pueden enviar diariamente, semanalmente o mensualmente a la hora que escojas. Puedes seleccionar algunos foros que te interesen o por defecto puedes seleccionar todas las entradas de todos los foros que quieres leer. Puedes cancelar tu suscripción al resúmen en cualquier momento desde esta página. Muchos usuarios encuentran muy útiles estos resúmenes. ¡Te recomendamos que lo pruebes!',
	'DIGESTS_FILTER_ERROR'				=> 'El mailer de los resúmenes ha generado un inválido user_digest_filter_type = %s',
	'DIGESTS_FILTER_FOES'				=> 'Eliminar entradas de mis enemigos',
	'DIGESTS_FILTER_TYPE'				=> 'Tipos de entradas en el resúmen',
	'DIGESTS_FORMAT_HTML'				=> 'Estilizado',
	'DIGESTS_FORMAT_HTML_EXPLAIN'		=> 'Los estilos se aplican si tu programa de email lo permite',
	'DIGESTS_FORMAT_HTML_CLASSIC'		=> 'Estilizado, entradas dentro de tablas',
	'DIGESTS_FORMAT_HTML_CLASSIC_EXPLAIN'	=> 'Parecido a estilizado excepto el asunto de las entradas y los mensajes privados están dentro de tablas',
	'DIGESTS_FORMAT_PLAIN'				=> 'Llano',
	'DIGESTS_FORMAT_PLAIN_EXPLAIN'		=> 'Estilizado sin colores o fuentes',
	'DIGESTS_FORMAT_PLAIN_CLASSIC'		=> 'Llano, entradas repartidas en tablas',
	'DIGESTS_FORMAT_PLAIN_CLASSIC_EXPLAIN'	=> 'Similar a llano excepto asunto de entradas y mensajes privados están dentro de tablas',
	'DIGESTS_FORMAT_STYLING'			=> 'Estilo del resúmen',
	'DIGESTS_FORMAT_STYLING_EXPLAIN'	=> 'Por favor ten en cuenta que el estilo depende de las capacidades de tu programa de correo. Mueve el cursor encima de cada estilo para saber más sobre el estilo.',
	'DIGESTS_FORMAT_TEXT'				=> 'Texto',
	'DIGESTS_FORMAT_TEXT_EXPLAIN'		=> 'No se verá ningún estilo en el resúmen. Solo se verá texto, probablemente en una fuenta fija.',
	'DIGESTS_FORUMS_WANTED'				=> 'Foros deseados',
	'DIGESTS_FREQUENCY'					=> 'Tipo de resúmen deseado',
	'DIGESTS_FREQUENCY_EXPLAIN'			=> 'Resúmenes semanales se envian el %s. Resúmenes mensuales se envían el primer día del mes. Coordinated Universal Time (UTC) se usa para determinar el día de la semana.',
	'DIGESTS_FREQUENCY_SHORT'			=> 'Tipo de resúmen',
	'DIGESTS_HOURS_ABBREVIATION' 		=> ' h',	// ver: http://www.scienceeditingexperts.com/which-is-the-correct-abbreviation-for-hours-2h-2-h-2hs-2-hs-2hrs-or-2-hrs, DIGESTS_AM y DIGESTS_PM se usan en lugar si se especifica en user_dateformat
	'DIGESTS_INTRODUCTION' 				=> 'Aquí está el último resúmen de entradas de %s foros. <em>No</em> respondas a este correo para contestar a entradas, publicaciones o mensajes privados. Pero por favor <em>visita</em> el foro e unete a la discusión! (Si no se ve bien el resúmen, asegúrate de descargar todo el contenido remoto.)',
	'DIGESTS_JUMP_TO_MSG'				=> 'ID de Msg',
	'DIGESTS_JUMP_TO_POST'				=> 'ID de Publicación',
	'DIGESTS_LASTVISIT_RESET'			=> 'Resetea mi última fecha de visita cuando se me envia un resúmen',
	'DIGESTS_LASTVISIT_RESET_EXPLAIN'	=> 'Si esta habilitado, las entradas en el foro deben aparecer como leídas si se publicaron antes de la fecha y hora que tu resúmen fue creado. Notificaciones de entradas creadas durante la creación del resumen también serán marcadas como leídas.',
	'DIGESTS_LINK'						=> 'Link',
	'DIGESTS_MARK_READ'					=> 'Marcar cocmo leído cuando aparezcan en el resúmen',
	'DIGESTS_MAX_DISPLAY_WORDS'			=> 'Número máximo de palabras a mostrar en la entrada',
	'DIGESTS_MAX_DISPLAY_WORDS_EXPLAIN'	=> 'Para asegurar que se vea bien, si una publicación debe ser truncada, el HTML será borrado de la publicación. Pon 0 para permitir que se vea todo la publicación. Si &ldquo;No enseñar texto de la publicación&rdquo; esta seleccionada, ese campo es ignorado y no se verá texto de la publicación en el resúmen.',
	'DIGESTS_MAX_SIZE'					=> 'Número máximo de palabras en una publicación',
	'DIGESTS_MAX_WORDS_NOTIFIER'		=> '... ',
	'DIGESTS_MIN_SIZE'					=> 'Mínimo de palabras requerido para que la publicación se vea en el resúmen',
	'DIGESTS_MIN_SIZE_EXPLAIN'			=> 'Si lo dejas a 0, las publicaciones con texto con cualquier número de palabras serán incluidas.',
	'DIGESTS_MIN_POPULARITY_VALUE'		=> 'Valor mínimo para popularidad',
	'DIGESTS_MIN_POPULARITY_VALUE_EXPLAIN'		=> 'Un asunto debe tener una media de tantas publicaciones por día durante tu periodo de resúmen (día, semana o mes) para aparecer en tu resúmen. No lo puedes poner menos que el valor puesto por el administrador.',
	'DIGESTS_MONTHLY'					=> 'Mensual',
	'DIGESTS_NEW'						=> 'Nuevo',
	'DIGESTS_NEW_POSTS_ONLY'			=> 'Mostrar solo nuevas publicaciones',
	'DIGESTS_NEW_POSTS_ONLY_EXPLAIN'	=> 'Esto filtrará cualquier publicación publicado antes de la fecha y hora que visitaste el foro. Si visitas el foro con frecuencia y lees la mayoría de las publicaciones, esto evitará que aparezcan publicaciones redundantes en tu resúmen. Esto también significa que puede que te pierdas alguna publicación en los foros que no hayas leido.',
	'DIGESTS_NO_BOOKMARKED_POSTS'		=> 'No hay nuevas publicaciones en el marcador.',
	'DIGESTS_NO_CONSTRAINT'				=> 'Sin restricción',
	'DIGESTS_NO_FORUMS_CHECKED' 		=> 'Al menos un foro debe ser seleccionado',
	'DIGESTS_NO_LIMIT'					=> 'Sin limite',
	'DIGESTS_NO_POSTS'					=> 'No hay nuevas publicaciones.',
	'DIGESTS_NO_POST_TEXT'				=> 'No mostrar nada de texto de la publicación',
	'DIGESTS_NO_PRIVATE_MESSAGES'		=> 'No tienes mensajes nuevos o sin leer.',
	'DIGESTS_NO_TIMEZONE'				=> 'Debes <a href="%s">especificar tu zona horaria</a> en tu perfil antes de usar los resúmenes.',
	'DIGESTS_NONE'						=> 'Nada (darse de baja)',
	'DIGESTS_ON'						=> 'on',
	'DIGESTS_OPEN_QUOTE'				=> '&ldquo;',
	'DIGESTS_OPEN_QUOTE_TEXT'			=> '"',
	'DIGESTS_PM'						=> ' PM', // no se usa si el formato de fecha/hora no permite AM y PM
	'DIGESTS_PM_SUBJECT'				=> 'Asunto del mensaje privado',
	'DIGESTS_POST_IMAGE_TEXT'			=> '<br>(Haz clic en la imagen para ver su tamaño entero.)',
	'DIGESTS_POST_TEXT'					=> 'Texto de la Publicación', 
	'DIGESTS_POST_TIME'					=> 'Horario de la Publicación', 
	'DIGESTS_POST_SIGNATURE_DELIMITER'	=> '<br>____________________<br>', // Pon el código HTML que quieras para distinguir entre el final de una publicación y el inicio de la linea de firma
	'DIGESTS_POSTED_TO_THE_TOPIC'		=> 'Publicado en el asunto',
	'DIGESTS_POSTS_TYPE_ANY'			=> 'Todas los publicaciones',
	'DIGESTS_POSTS_TYPE_FIRST'			=> 'Sólo primer post de los temas',
	'DIGESTS_POWERED_BY'				=> 'phpbbservices.com',
	'DIGESTS_POWERED_BY_TEXT'			=> 'Extensión de resúmenes para phpBB creado por',
	'DIGESTS_PRIVATE_MESSAGES_IN_DIGEST'	=> 'Añadir mis mensajes no leídos',
	'DIGESTS_PUBLISH_DATE'				=> 'El resúmen fue publicado específicamente para %1$s el %2$s',
	'DIGESTS_REGISTER'					=> 'Recibir resúmenes',
	'DIGESTS_REGISTER_EXPLAIN'			=> 'Se usarán los valores por defecto del foro. Puedes ajustar los valores del resúmen o darte de baja después del registro.',
	'DIGESTS_REMOVE_YOURS'				=> 'Borrar mis publicaciones',
	'DIGESTS_REPLY'						=> 'Responder',
	'DIGESTS_ROBOT'						=> 'Robot',
	'DIGESTS_SALUTATION' 				=> 'Estimado',
	'DIGESTS_SEE_POPULAR_TOPICS_ONLY'	=> 'Ver sólo temas populares',
	'DIGESTS_SELECT_FORUMS'				=> 'Incluir publicaciones para estos foros',
	'DIGESTS_SELECT_FORUMS_EXPLAIN'		=> 'Por favor ten en cuenta que las categorías y los foros que ves son los que tienes permiso de leer. La selección de foro está deshabilitada cuando seleccionas solo temas con marcadores. Foros protegidos con contraseña no se ven y no pueden ser seleccionados. Si todos estan desmarcados y marcadores no seleccionados, entonces debes seleccionar al menos un foro para enviar satisfactoriamente.<br><br>Foros con nombre en negrita (si hay alguno) son foros que el administrador quiere que se vea en cualquier resúmen (menos los temas con marcadores). No puedes deseleccionar estos foros. Los nombres de foros que tienen texto tachado están deshabilitados por el administrador para aparecer en cualquier resúmen (menos los temas con marcadores) y por eso están deseleccionados.',
	'DIGESTS_SEND_HOUR' 				=> 'Hora enviado',
	'DIGESTS_SEND_HOUR_EXPLAIN'			=> 'La hora de llegada del resúmen se basa en la zona horaria que tengas en tus preferencias.',
	'DIGESTS_SEND_ON_NO_POSTS'	 		=> 'Enviar un resumen si no hay nuevos posts',
	'DIGESTS_SENDER'	 				=> 'Remitente',
	'DIGESTS_SENT_TO'					=> 'enviado a',
	'DIGESTS_SENT_YOU_A_MESSAGE'		=> 'envió un mensaje privado con el asunto',
	'DIGESTS_SHOW_ATTACHMENTS' 			=> 'Enseñar adjuntos',
	'DIGESTS_SHOW_ATTACHMENTS_EXPLAIN'	=> 'Si está habilitado, las imágenes adjuntas aparecerán en tu resumen al final del post o mensaje privado. Adjuntos sin imagen aparecen como enlaces (solo resúmenes estilizados). El BBCode [img] tag no está afectado por este ajuste.',
	'DIGESTS_SHOW_NEW_POSTS_ONLY' 		=> 'Mostrar solo nuevos posts',
	'DIGESTS_SHOW_PMS' 					=> 'Mostrar mis mensajes privados',
	'DIGESTS_SIZE_ERROR'				=> 'Este campo es un campo requerido. Debes introducir un número entero y positivo, menor o igual al máximo permitido por el administrador del foro. Si el valor es cero, no hay limite.',
	'DIGESTS_SIZE_ERROR_MIN'			=> 'Debes poner un número entero o dejar el campo vacío. Si el valor es cero, no hay límite.',
	'DIGESTS_SKIP'						=> 'Saltar el contenido',
	'DIGESTS_SORT_BY'					=> 'Ordenar por post',
	'DIGESTS_SORT_BY_EXPLAIN'			=> 'Todos los resúmenes están ordenados por categoría y luego por foro, tal y como se ven en el índice principal. Las opciones de ordenar se aplican a cómo se ordenan las publicaciones dentro de los foros y temas. El orden tradicional es el orden por defecto que se usa desde phpBB 2, que es la hora de publicación del último tema (descendente) y luego la hora de publicación dentro del tema.',
	'DIGESTS_SORT_FORUM_TOPIC'			=> 'Orden Tradicional',
	'DIGESTS_SORT_FORUM_TOPIC_DESC'		=> 'Orden Tradicional, Últimos Posts Primero',
	'DIGESTS_SORT_POST_DATE'			=> 'De último a más nuevo',
	'DIGESTS_SORT_POST_DATE_DESC'		=> 'De más nuevo a más viejo',
	'DIGESTS_SORT_USER_ORDER'			=> 'Utilizar las preferencias de visualización de mi foro',
	'DIGESTS_SUBJECT_TITLE'				=> '%1$s %2$s Resumen',
	'DIGESTS_TAG_REPLACED'				=> '<strong>Nota: contenido borrado por razones de seguridad. Haz clic en el enlace de la publicación o tema para ver el contenido completo de la publicación.</strong>',
	'DIGESTS_TITLE'						=> 'Resúmenes',
	'DIGESTS_TRANSLATED_BY'				=> 'traducido por',
	'DIGESTS_TRANSLATOR_NAME'			=> '',	// Leave null string to suppress translator name
	'DIGESTS_TRANSLATOR_CONTACT'		=> '',	// Leave null string to suppress contact info, if used use: mailto:name@emailaddress.com or a URL if you have a website.
	'DIGESTS_TOC'						=> 'Tabla de contenidos',
	'DIGESTS_TOC_EXPLAIN'				=> 'Si el foro es muy activo, puede que quieras incluir una tabla de contenidos en tu resumen. En resúmenes estilizados, la tabla de contenidos incluye enlaces que te permiten saltar a una publicación en particular o mensaje privado en el resumen.',
	'DIGESTS_UNKNOWN'					=> 'Desconocido',
	'DIGESTS_UNREAD'					=> 'No leído',
	'DIGESTS_UPDATED'					=> 'Los adjuntos de tu resumen se han guardado',
	'DIGESTS_USE_BOOKMARKS'				=> 'Solo temas con marcadores',
	'DIGESTS_WEEKDAY' 					=> 'Domingo,Lunes,Martes,Miercoles,Jueves,Viernes,Sábado',
	'DIGESTS_WEEKLY'					=> 'Semanalmente',
	'DIGESTS_YOU_HAVE_PRIVATE_MESSAGES' => 'Tienes nuevos mensajes privados',
	'UCP_DIGESTS'								=> 'Resúmenes',
	'UCP_DIGESTS_ADDITIONAL_CRITERIA'			=> 'Criterio adicional',
	'UCP_DIGESTS_ADDITIONAL_CRITERIA_OPTIONS'	=> 'Opciones de criterio adicional',
	'UCP_DIGESTS_BASICS'						=> 'Básicos',
	'UCP_DIGESTS_BASICS_OPTIONS'				=> 'Opciones básicas',
	'UCP_DIGESTS_FORUMS_SELECTION'				=> 'Selección de foros',
	'UCP_DIGESTS_FORUMS_SELECTION_OPTIONS'		=> 'Opciones de selección de foros',
	'UCP_DIGESTS_MODE_ERROR'					=> 'Resúmenes ha generado un modo inválido de %s',
	'UCP_DIGESTS_POST_FILTERS'					=> 'Filtros de publicación',
	'UCP_DIGESTS_POST_FILTERS_OPTIONS'			=> 'Opciones de filtros de publicación',
));
